Page MenuHomePhabricator

Project logos on homepage of Wikimedia Foundation website automatically crop and cut off parts of logo unless square image used
Closed, ResolvedPublic

Description

On the Wikimedia Foundation website (wikimediafoundation.org), the Wikipedia & Commons logos in the Wikimedia projects section are badly cropped.

Screenshot 2018-09-20 at 2.36.07 PM.png (768×1 px, 678 KB)

Event Timeline

Varnent added a subscriber: Varnent.

That is strange, and not suppose to happen. Will look into it.

Varnent triaged this task as Low priority.EditedSep 20 2018, 10:31 PM

Fixed for now by uploading square images. Will look into changing setup so it doesn't crop those images in the future. Thank you @XYZtSpace for reporting! :)

Varnent renamed this task from Wikimedia Foundation website's project logos are cropped to Project logos on homepage of Wikimedia Foundation website automatically crop and cut off parts of logo unless square image used.Sep 20 2018, 10:32 PM
Varnent moved this task from Incoming to Working on on the wikimediafoundation.org board.
Varnent closed this task as Resolved.EditedSep 21 2018, 9:36 PM

The underlying cause was a script which was recently enabled to help with site performance. It changed the way these images were loaded and so has been disabled. We will continue to look at other ways to improve site performance. Thank you again for reporting.